Skip to main content
PATCH
Update a stack profile

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

profile_id
string<uuid>
required

Body

application/json

Partial update: omitted or null fields keep their stored value.

name
string | null
description
string | null
logo_url
string | null

http(s) URL; an empty string clears it.

Maximum string length: 2048
category
string | null
tags
string[] | null
visibility
enum<string> | null
Available options:
organisation,
public,
null

Response

Updated profile

id
string<uuid>
required
organisation_id
string<uuid>
required
name
string
required
description
string | null
required
logo_url
string | null
required
uploaded_logo_updated_at
string<date-time> | null
required
category
string
required
tags
string[]
required
visibility
enum<string>
required
Available options:
organisation,
public
latest_version
integer
required
current_version
integer
required
source_cluster_id
string<uuid> | null
required
created_by_user_id
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
publisher_name
string | null
required
publisher_slug
string | null
required
publisher_verified
boolean
required
publisher_is_ankra
boolean
required
publisher_logo_updated_at
string<date-time> | null
required
shared_organisation_count
integer
required
shared_with_you
boolean
required
is_owner
boolean
required